// Driverlib includes
#include "rom.h"
#include "rom_map.h"
#include "hw_memmap.h"
#include "hw_common_reg.h"
#include "hw_types.h"
#include "hw_ints.h"
#include "uart.h"
#include "interrupt.h"

#include "pinmux.h"
#include "utils.h"
#include "prcm.h"

// Common interface include
#include "uart_if.h"

#define MAX_STRING_LENGTH    80


volatile int g_iCounter = 0;

#if defined(ccs)
extern void (* const g_pfnVectors[])(void);
#endif
#if defined(ewarm)
extern uVectorEntry __vector_table;
#endif

int data_1[8] = {0};
int data_2[8] = {0x00,0x01,0x02,0x03,0x04,0x05,0x06,0x07};

static void
BoardInit(void)
{
/* In case of TI-RTOS vector table is initialize by OS itself */
#ifndef USE_TIRTOS
  //
  // Set vector table base
  //
#if defined(ccs)
    MAP_IntVTableBaseSet((unsigned long)&g_pfnVectors[0]);
#endif
#if defined(ewarm)
    MAP_IntVTableBaseSet((unsigned long)&__vector_table);
#endif
#endif
    //
    // Enable Processor
    //
    MAP_IntMasterEnable();
    MAP_IntEnable(FAULT_SYSTICK);

    PRCMCC3200MCUInit();
}



//void Delay1ms(unsigned long y)	//ʱ
//{
//  SysCtlDelay(SysCtlClockGet()/(3000/y));
//}

void  UARTIntHandler(void)
{  
	char i;
	for(i=0;i<8;i++)
		data_1[i]=MAP_UARTCharGet(UARTA1_BASE);
	for(i=0;i<8;i++)
		MAP_UARTCharPut(UARTA0_BASE,(data_1[i]+48));
	MAP_UARTCharPut(UARTA0_BASE,'\n');
}


void main()
{

	int a=100000,counter,c;

    BoardInit();

    PinMuxConfig();

    InitTerm();

    ClearTerm();
   
    /********************2ӽͨ:жϷʽ**************/

    //עUARTA1Ľжϴ
	MAP_UARTIntRegister(UARTA1_BASE,UARTIntHandler);
   
    //ʹUARTA1Ľж
	MAP_UARTIntEnable(UARTA1_BASE,UART_INT_RX );


    while(1)
    {

    	for(c=0;c<8;c++)
    		MAP_UARTCharPut(UARTA0_BASE,(data_2[c]+48));

		MAP_UARTCharPut(UARTA0_BASE,'\n');

    	for(counter=0;counter<a;counter++);
    }
    
}

    

